#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# License: GNU General Public License v2
#
# Author: thl-cmk[at]outlook[dot]com
# URL   : https://thl-cmk.hopto.org
#
# Check_MK checkpoint_raid WATO plugin
#
from cmk.gui.i18n import _
from cmk.gui.valuespec import (
    Dictionary,
    TextAscii,
)

from cmk.gui.plugins.wato import (
    CheckParameterRulespecWithItem,
    rulespec_registry,
    RulespecGroupCheckParametersNetworking,
)


def _parameter_valuespec_checkpoint_raid():
    return Dictionary(
        help=_(''),
        elements=[
            ('ignore_disks',
             TextUnicode(
                 title=_('list of comma separated disk IDs to ignore'),
                 help=_('This is useful for RAID Arrays with missing disks, like on the Smart-1 5150. There the '
                        'array is configured for 12 Disk but in the default Hardware are only 6 Disks.'),
                 default_value=None,
                 allow_empty=False,
             )),
        ],
    )


rulespec_registry.register(
    CheckParameterRulespecWithItem(
        check_group_name='checkpoint_raid',
        group=RulespecGroupCheckParametersNetworking,
        item_spec=lambda: TextAscii(title=_('RAID ID'), ),
        match_type='dict',
        parameter_valuespec=_parameter_valuespec_checkpoint_raid,
        title=lambda: _('Check Point RAID'),
    ))
